package bettermarks_plugin

default user = false

# todo should use a group instead
user {
	actor.username == input.request.username
}

default teacher = false

teacher {
	actor.username == input.target.teachers[_].username
}

actor := token.payload.sub

# Helper to get the token payload.
token = {"payload": payload} {
	[header, payload, signature] := io.jwt.decode(input.token)
}
